Package: grails.util

## [Java] Class Triple<A, B, C>

- grails.util.Triple

-     public class Triple<A, B, C>
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `A` | `aValue` |
    `B` | `bValue` |
    `C` | `cValue` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Triple (A aValue, B bValue, C cValue)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `equals(java.lang.Object obj)`
    `` | `public A` | `getaValue()`
    `` | `public B` | `getbValue()`
    `` | `public C` | `getcValue()`
    `` | `public int` | `hashCode()`
    `` | `public java.lang.String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### final A aValue

    - #### final B bValue

    - #### final C cValue

  - ### Constructor Detail

    - #### public Triple(A aValue, B bValue, C cValue)

  - ### Method Detail

    - #### @java.lang.Override public boolean equals(java.lang.Object obj)

    - #### public A getaValue()

    - #### public B getbValue()

    - #### public C getcValue()

    - #### @java.lang.Override public int hashCode()

    - #### @java.lang.Override public java.lang.String toString()